#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
	{ 0x2bc1d111, "struct_module" },
	{ 0x53e2325e, "kobject_put" },
	{ 0x1a1a4f09, "__request_region" },
	{ 0x5d040e7, "cdev_del" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x2484eb61, "cdev_init" },
	{ 0x9efed5af, "iomem_resource" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x947430b8, "malloc_sizes" },
	{ 0x31dc6792, "pci_disable_device" },
	{ 0x3c9e9bb0, "kobject_set_name" },
	{ 0x7485e15e, "unregister_chrdev_region" },
	{ 0xc2a62217, "pci_enable_wake" },
	{ 0x9d75ed43, "_spin_lock_irqsave" },
	{ 0x865ebccd, "ioport_resource" },
	{ 0x389e200f, "ioread8" },
	{ 0x797cb603, "pci_restore_state" },
	{ 0x1b7d4074, "printk" },
	{ 0xed5c73bf, "__tasklet_schedule" },
	{ 0x2da418b5, "copy_to_user" },
	{ 0xaec4759f, "vprintk" },
	{ 0xe49e22e1, "_spin_unlock_irqrestore" },
	{ 0xa5808bbf, "tasklet_init" },
	{ 0x388185a9, "cdev_add" },
	{ 0xb6dcbd1c, "kmem_cache_alloc" },
	{ 0x3762cb6e, "ioremap_nocache" },
	{ 0x26e96637, "request_irq" },
	{ 0x4292364c, "schedule" },
	{ 0x375bf494, "iowrite8" },
	{ 0xd49501d4, "__release_region" },
	{ 0x70f57491, "pci_unregister_driver" },
	{ 0x6804a02c, "__wake_up" },
	{ 0xbb320fd7, "pci_set_power_state" },
	{ 0x4775eacf, "iowrite16" },
	{ 0x618c442a, "_spin_unlock_bh" },
	{ 0x37a0cba, "kfree" },
	{ 0x3da7af2e, "prepare_to_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x4048483d, "kobject_init" },
	{ 0x2d3a45e9, "__pci_register_driver" },
	{ 0x3960713, "ioread16" },
	{ 0x95a59f20, "finish_wait" },
	{ 0x9b7819ab, "pci_choose_state" },
	{ 0x908aa9b2, "iowrite32" },
	{ 0xdf06ce39, "_spin_lock_bh" },
	{ 0xafcf121b, "pci_enable_device" },
	{ 0xf2a644fb, "copy_from_user" },
	{ 0x29537c9e, "alloc_chrdev_region" },
	{ 0x2241a928, "ioread32" },
	{ 0xf20dabd8, "free_irq" },
	{ 0xe3ba523a, "pci_save_state" },
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("pci:v00001415d0000C006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C106sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C116sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C11Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C126sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C134sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C13Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C146sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C154sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C15Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C204sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C20Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C304sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C30Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C406sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C40Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C416sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C41Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C426sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C42Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C436sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C43Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C446sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C44Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C45Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C466sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C46Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C476sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C47Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C48Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C496sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C49Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C4A6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C4AEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C4B6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C4BEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C4C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C4CEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "452C2BEE9A4FCA13B57FE66");
